Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AjaxFunction

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.renderkit.AjaxFunction

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class AjaxFunction

extends org.ajax4jsf.javascript.ScriptStringBase

Author:
  Nick Belaevski

Field Summary
`static String` | `FUNCTION_NAME`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`AjaxFunction(Object source, AjaxOptions options)`

Method Summary
`void` | `appendScript(Appendable target)`
`Object` | `getEvent()`
`AjaxOptions` | `getOptions()`
`Object` | `getSource()`
`void` | `setEvent(Object event)`
`void` | `setOptions(AjaxOptions eventOptions)`
`void` | `setSource(Object source)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FUNCTION_NAME

    public static final String FUNCTION_NAME

See Also:
  Constant Field Values

Constructor Detail

### AjaxFunction

    public AjaxFunction(Object source,
                        AjaxOptions options)

Method Detail

### getSource

    public Object getSource()

### setSource

    public void setSource(Object source)

### getEvent

    public Object getEvent()

### setEvent

    public void setEvent(Object event)

### getOptions

    public AjaxOptions getOptions()

### setOptions

    public void setOptions(AjaxOptions eventOptions)

### appendScript

    public void appendScript(Appendable target)
                      throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.